Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,729,266 Members 41,859 Now Online
XDA Developers Android and Mobile Development Forum

[Q] BLE on Galaxy S I9000 ?

Tip us?
 
sandyiscool
Old
(Last edited by sandyiscool; 27th January 2014 at 07:09 AM.) Reason: edit
#1  
Member - OP
Thanks Meter 31
Posts: 39
Join Date: Sep 2013
Question [Q] BLE on Galaxy S I9000 ?

Hi,
I searched for the topic in the Samsung Galaxy S I9000 forum but could not find a suitable thread. So I thought I will ask this question in a separate thread.
I want to know if BLE (bluetooth low energy/bluetooth smart) is supported on Galaxy S I9000. I am running SuperNexus build 1.1 ROM (KK 4.4.2). Do I need any separate binaries or is there any flashable zip which will make BLE work on the device (provided the device's bluetooth chip supports BLE) ?

As I found out from other resources, kernel version 3.4 or later is required to support BLE but, all the current kernels for galaxy s are based on the 3.0 series. Is there a 3.4 kernel which supports a KK 4.4.2 ROM on this device ?

If this question is not relevant in this forum, please feel free to move it to the relevant forum and let me know.

Thanks
 
sandyiscool
Old
#2  
Member - OP
Thanks Meter 31
Posts: 39
Join Date: Sep 2013
Any help or insight on this ?
 
xsenman
Old
#3  
xsenman's Avatar
Recognized Contributor
Thanks Meter 2199
Posts: 3,920
Join Date: Apr 2012
Location: Philippines
Quote:
Originally Posted by sandyiscool View Post
As I found out from other resources, kernel version 3.4 or later is required to support BLE but, all the current kernels for galaxy s are based on the 3.0 series. Is there a 3.4 kernel which supports a KK 4.4.2 ROM on this device ?
semaphore kernel is 3.4 for kit kat, ( Not sur e BLE support is incorporated in it, but you can request in that thread. look in

[POLL][FAQ][Discussion] Kit Kat 4.4 / CM 11 for Galaxy S & S Plus [i9000][i9001 for others too

 
sandyiscool
Old
#4  
Member - OP
Thanks Meter 31
Posts: 39
Join Date: Sep 2013
Quote:
Originally Posted by xsenman View Post
semaphore kernel is 3.4 for kit kat, ( Not sur e BLE support is incorporated in it, but you can request in that thread. look in

[POLL][FAQ][Discussion] Kit Kat 4.4 / CM 11 for Galaxy S & S Plus [i9000][i9001 for others too

Semaphore 3.4.0 is the version of the Semaphore kernel's release. The version of Linux kernel on which it is based is 3.0.101 as mentioned in the OP of Semaphore kernel.
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes